Vue Bootstrap Images

Vue Images - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Documentation and examples for opting images into responsive behavior (so they never become larger than their parent elements) and add lightweight styles to them—all via classes.


Responsive images

Images in MDB are made responsive with .img-fluid. This applies max-width: 100%; and height: auto; to the image so that it scales with the parent width.

        
            

        <template>
          <img src="..." class="img-fluid" alt="Responsive image">
        </template>

    
        
    

SVG images and IE 10

In Internet Explorer 10, SVG images with .img-fluid are disproportionately sized. To fix this, add width: 100% \9; where necessary. This fix improperly sizes other image formats, so Bootstrap doesn’t apply it automatically.

Image thumbnails

In addition to our border-radius utilities, you can use .img-thumbnail to give an image a rounded 1px border appearance.

        
            

        <template>
          <img src="https://mdbootstrap.com/img/Others/documentation/img%20(75)-mini.jpg" alt="thumbnail" class="img-thumbnail"
            style="width: 200px">
        </template>

      
        
    

Aligning Images

Align images with the helper float classes or text alignment classes . block-level images can be centered using the .mx-auto margin utility class.

        
            

        <template>
          <div>
            <img src="..." class="rounded float-left" alt="...">
            <img src="..." class="rounded float-right" alt="...">
          </div>
        </template>

    
        
    
        
            
  
          <template>
            <img src="..." class="rounded mx-auto d-block" alt="...">
          </template>
  
      
        
    
        
            
          <template>
            <div class="text-center">
              <img src="..." class="rounded" alt="...">
            </div>
          </template>
        
        
    

Picture

If you are using the <picture> element to specify multiple <source> elements for a specific , make sure to add the .img-* classes to the <img> and not to the <picture> tag.

        
            

      <template>
        <picture>
          <source srcset="..." type="image/svg+xml">
          <img src="..." class="img-fluid img-thumbnail" alt="...">
        </picture>
      </template>

    
        
    

Images with shadows

Apply a shadow to create a depth effect in the image.

        
            

        <template>
          <img src="https://mdbootstrap.com/img/Photos/Slides/img%20(54).jpg" class="img-fluid z-depth-1" alt="1">
        </template>

    
        
    

Images with overlays

Use effect that covers with color and defined level of opacity the entire image.

placeholder

super light overlay

placeholder

light overlay

placeholder

strong overlay

        
            

      <template>
        <mdb-view>
          <img src="https://mdbootstrap.com/img/Photos/Others/forest-sm.jpg" class="img-fluid" alt="placeholder">
          <mdb-mask flex-center overlay="teal-strong" text="strong overlay" />
        </mdb-view>
      </template>
      
    
        
    
        
            

        <script>
          import { mdbView, mdbMask } from 'mdbvue';

          export default {
            name: 'CarouselPage',
            components: {
              mdbView,
              mdbMask
            }
          };
        </script>

    
        
    

Info notification

Take a look at our masks section to know all the colors possibilities.


Images with patterns

Make content more visible in the image by either partially or fully hiding it.

Image of ballons flying over canyons with mask pattern one.

.pattern-1

placeholder

.pattern-2

Image of ballons flying over canyons with mask pattern one.

.pattern-3

Image of ballons flying over canyons with mask pattern one.

.pattern-4

placeholder

.pattern-5

Image of ballons flying over canyons with mask pattern one.

.pattern-6

Image of ballons flying over canyons with mask pattern one.

.pattern-7

placeholder

.pattern-8

Image of ballons flying over canyons with mask pattern one.

.pattern-9

Add one of the following classes:

  • .pattern-1
  • .pattern-2
  • .pattern-3
  • .pattern-4
  • .pattern-5
  • .pattern-6
  • .pattern-7
  • .pattern-8
  • .pattern-9
        
            

        <template>
          <mdb-view src="https://mdbootstrap.com/img/Photos/Others/nature-sm.jpg" alt="">
            <mdb-mask pattern="1" flex-center text="pattern = 1" />
          </mdb-view>
        </template>

      
        
    
        
            
  
          <script>
            import { mdbView, mdbMask } from 'mdbvue';
    
            export default {
              name: 'CarouselPage',
              components: {
                mdbView,
                mdbMask
              }
            };
          </script>
  
      
        
    

Images with hover effects

Hover effect appears when the user positions the cursor over an image without activating it

placeholder

Strong overlay

placeholder

Light overlay

placeholder

Super light overlay

zoom

Zoom effect

Shadow effect


placeholder

Add one of the following classes:

  • .zoom
  • .hoverable
        
            

        <template>
          <div>
            <!--Zoom effect-->
            <mdb-view class="zoom overlay" src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(131).jpg" alt="zoom">
              <mdb-mask flex-center text="Zoom effect" />
            </mdb-view>
    
            <!-- Hoverable -->
            <img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(132).jpg" class="img-fluid rounded-circle hoverable"
              alt="hoverable">
          </div>
        </template>

      
        
    
        
            
  
          <script>
            import { mdbView, mdbMask } from 'mdbvue';
    
            export default {
              name: 'CarouselPage',
              components: {
                mdbView,
                mdbMask
              }
            };
          </script>
  
      
        
    

Images with waves effects

Use radial action in the form of a visual ripple expanding outward from the user’s touch.

        
            

        <template>
          <div>
            <!--Mask with wave-->
            <mdb-view src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(1).jpg" alt="Sample image with waves effect">
              <a>
                <mdb-mask overlay="white-slight"></mdb-mask>
              </a>
            </mdb-view>
    
            <!--Mask with wave-->
            <mdb-view src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(7).jpg" alt="Sample image with waves effect">
              <a>
                <mdb-mask overlay="white-slight"></mdb-mask>
              </a>
            </mdb-view>
          </div>
        </template>

        
        
    
        
            
    
            <script>
              import { mdbView, mdbMask } from 'mdbvue';
      
              export default {
                name: 'CarouselPage',
                components: {
                  mdbView,
                  mdbMask
                }
              };
            </script>
    
        
        
    


Images within cards MDB Pro component

Images are also great to use with Cards.

Alice Mayer

Photographer

Sed ut perspiciatis unde omnis iste natus sit voluptatem accusantium doloremque laudantium, totam rem aperiam.

Culinary

Cheat day inspirations

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi.

Button

Billy Cullen

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            

        <template>
          <mdb-container>
            <h4 class="pb-2">Cascading cards</h4>
            <mdb-row>
              <mdb-col sm="4">
                <mdb-card wide>
                  <mdb-view hover cascade>
                    <mdb-card-image src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img%20%283%29.jpg" alt="Card image cap"></mdb-card-image>
                    <mdb-mask flex-center waves overlay="white-slight"></mdb-mask>
                  </mdb-view>
                  <mdb-card-body class="text-center" cascade>
                    <mdb-card-title><strong>Alice Mayer</strong></mdb-card-title>
                    <h5 class="indigo-text"><strong>Photographer</strong></h5>
                    <mdb-card-text>Sed ut perspiciatis unde omnis iste natus sit voluptatem accusantium doloremque
                      laudantium, totam rem aperiam.</mdb-card-text>
                    <a class="fa-lg li-ic px-2">
                      <mdb-icon fab icon="linkedin" /></a>
                    <a class="fa-lg tw-ic px-2">
                      <mdb-icon fab icon="twitter" /></a>
                    <a class="fa-lg fb-ic px-2">
                      <mdb-icon fab icon="facebook" /></a>
                  </mdb-card-body>
                </mdb-card>
              </mdb-col>
              <mdb-col sm="4">
                <mdb-card narrow>
                  <mdb-view hover cascade>
                    <mdb-card-image src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(147).jpg" alt="Card image cap"></mdb-card-image>
                    <mdb-mask flex-center waves overlay="white-slight"></mdb-mask>
                  </mdb-view>
                  <mdb-card-body cascade>
                    <h5 class="pink-text pb-2 pt-1">
                      <mdb-icon fab icon="utensils" /> Culinary</h5>
                    <mdb-card-title>Cheat day inspirations</mdb-card-title>
                    <mdb-card-text>Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit
                      laboriosam, nisi ut aliquid ex ea commodi.</mdb-card-text>
                    <mdb-btn color="unique">Button</mdb-btn>
                  </mdb-card-body>
                </mdb-card>
              </mdb-col>
              <mdb-col sm="4">
                <mdb-card cascade>
                  <mdb-view hover cascade>
                    <mdb-card-image src="https://mdbootstrap.com/img/Photos/Others/men.jpg" alt="Card image cap"></mdb-card-image>
                    <mdb-mask flex-center waves overlay="white-slight"></mdb-mask>
                  </mdb-view>
                  <mdb-card-body class="text-center" cascade>
                    <mdb-card-title><strong>Billy Cullen</strong></mdb-card-title>
                    <h5>Web developer</h5>
                    <mdb-card-text>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex,
                      recusandae. Facere modi sunt, quod quibusdam.</mdb-card-text>
                    <mdb-btn tag="a" floating small class="btn-fb">
                      <mdb-icon fab icon="facebook" />
                    </mdb-btn>
                    <mdb-btn tag="a" floating small class="btn-tw">
                      <mdb-icon fab icon="twitter" />
                    </mdb-btn>
                    <mdb-btn tag="a" floating small class="btn-dribbble">
                      <mdb-icon fab icon="dribbble" />
                    </mdb-btn>
                  </mdb-card-body>
                </mdb-card>
              </mdb-col>
            </mdb-row>
          </mdb-container>
        </template>

      
        
    
        
            

        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbCard, mdbCardImage, mdbCardHeader, mdbCardBody, mdbCardTitle, mdbCardText, mdbCardFooter, mdbCardUp, mdbCardAvatar, mdbCardGroup, mdbBtn, mdbView, mdbMask, mdbIcon } from 'mdbvue';

          export default {
            name: 'CardProPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardImage,
              mdbCardHeader,
              mdbCardBody,
              mdbCardTitle,
              mdbCardText,
              mdbCardFooter,
              mdbCardUp,
              mdbCardAvatar,
              mdbCardGroup,
              mdbBtn,
              mdbView,
              mdbMask,
              mdbIcon
            }
          };
        </script>

      
        
    

Images within magazine section MDB Pro component

You can also use the images as a presentation in the magazine information section.

        
            

        <template>
          <mdb-container>
            <h2 class="h1-responsive font-weight-bold my-5 text-center">Section title</h2>
            <p class="dark-grey-text mx-auto mb-5 w-75 text-center">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit id laborum.</p>
            <mdb-row>

              <mdb-col md="12" lg="4" class="mb-lg-0 mb-5">
                <mdb-view hover rounded class="z-depth-1-half mb-4">
                  <img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/images/86.jpg" alt="Sample image"/>
                  <a>
                    <mdb-mask overlay="white-slight" class="waves-light"/>
                  </a>
                </mdb-view>
                <mdb-row class="mb-3">
                  <mdb-col col="12">
                    <a><mdb-badge color="pink"><mdb-icon icon="camera" class="pr-2" aria-hidden="true"/>Adventure</mdb-badge></a>
                  </mdb-col>
                </mdb-row>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a class="font-weight-bold">This is title of the news</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>24 Food Swaps That Slash Calories.</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>How to Make a Beet Cocktail?</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>8 Sneaky Reasons You're Always Hungry.</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between mb-4">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>5 Pressure Cooker Recipes You Need to Try.</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
              </mdb-col>

              <mdb-col md="12" lg="4" class="mb-lg-0 mb-5">
                <mdb-view hover rounded class="z-depth-1-half mb-4">
                  <img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/images/31.jpg" alt="Sample image"/>
                  <a>
                    <mdb-mask overlay="white-slight" class="waves-light"/>
                  </a>
                </mdb-view>
                <mdb-row class="mb-3">
                  <mdb-col col="12">
                    <a><mdb-badge color="deep-orange"><mdb-icon icon="plane" class="pr-2" aria-hidden="true"/>Travel</mdb-badge></a>
                  </mdb-col>
                </mdb-row>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a class="font-weight-bold">This is title of the news</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>Trends in the blogosphere for 2018.</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>Where can you eat the best lunch in Warsaw?</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>What camera is worth taking for holidays?</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between mb-4">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>Why should you visit Lisbon?</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
              </mdb-col>

              <mdb-col md="12" lg="4" class="mb-lg-0 mb-5">
                <mdb-view hover rounded class="z-depth-1-half mb-4">
                  <img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/images/52.jpg" alt="Sample image"/>
                  <a>
                    <mdb-mask overlay="white-slight" class="waves-light"/>
                  </a>
                </mdb-view>
                <mdb-row class="mb-3">
                  <mdb-col col="12">
                    <a><mdb-badge color="success-color"><mdb-icon icon="leaf" class="pr-2" aria-hidden="true"/>Nature</mdb-badge></a>
                  </mdb-col>
                </mdb-row>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a class="font-weight-bold">This is title of the news</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>How to recognize the footsteps of wild animals?</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>National Parks in Poland.</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between news">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>Traveling without littering the planet.</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
                <div class="d-flex justify-content-between mb-4">
                  <mdb-col col="11" class="text-truncate pl-0 mb-3">
                    <a>How to protect rainforests?</a>
                  </mdb-col>
                  <a><mdb-icon icon="angle-double-right"/></a>
                </div>
              </mdb-col>
            </mdb-row>

          </mdb-container>
        </template>

      
        
    
        
            

        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbView, mdbIcon, mdbMask, mdbBadge } from 'mdbvue';

          export default {
            name: 'MagazinePage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbView,
              mdbIcon,
              mdbMask,
              mdbBadge
            },

          };
        </script>

      
        
    
        
            

        <style scoped>
          .news {
            border-bottom: 1px solid #e0e0e0;
            margin-bottom: 1.5rem;
          }
        </style>  

      
        
    

Images as the avatars within testimonials MDB Pro component

Avatars are also great for simple Cards.

Testimonials

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

avatar

John Doe


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos, adipisci.

avatar

Anna Aston


Neque cupiditate assumenda in maiores repudiandae mollitia architecto.

avatar

Maria Kate


Delectus impedit saepe officiis ab aliquam repellat, rem totam unde ducimus.

        
            

        <template>
          <mdb-container>
            <section class="text-center my-5">
              <h2 class="h1-responsive font-weight-bold my-5">Testimonials v.1</h2>
              <p class="dark-grey-text w-responsive mx-auto mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur veniam.</p>
              <mdb-row>
                <mdb-col lg="4" md="12" class="mb-lg-0 mb-4">
                  <mdb-card testimonial>
                    <mdb-card-up color="info"></mdb-card-up>
                    <mdb-avatar class="mx-auto white">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).jpg" class="rounded-circle img-fluid"/>
                    </mdb-avatar>
                    <mdb-card-body>
                      <h4 class="font-weight-bold mb-4">John Doe</h4>
                      <hr/>
                      <p class="dark-grey-text mt-4"><mdb-icon icon="quote-left" class="pr-2"></mdb-icon>Lorem ipsum dolor sit amet eos adipisci, consectetur adipisicing elit.</p>
                    </mdb-card-body>
                  </mdb-card>
                </mdb-col>
                <mdb-col lg="4" md="6" class="mb-lg-0 mb-4">
                  <mdb-card testimonial>
                    <mdb-card-up gradient="blue"></mdb-card-up>
                    <mdb-avatar class="mx-auto white">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).jpg" class="rounded-circle img-fluid"/>
                    </mdb-avatar>
                    <mdb-card-body>
                      <h4 class="font-weight-bold mb-4">Anna Aston</h4>
                      <hr/>
                      <p class="dark-grey-text mt-4"><i class="fas fa-quote-left pr-2"></i>Neque cupiditate assumenda in maiores repudiandae mollitia architecto.</p>
                    </mdb-card-body>
                  </mdb-card>
                </mdb-col>
                <mdb-col lg="4" md="6" class="mb-lg-0 mb-4">
                  <mdb-card testimonial>
                    <mdb-card-up class="indigo"></mdb-card-up>
                    <mdb-avatar class="mx-auto white">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).jpg" class="rounded-circle img-fluid"/>
                    </mdb-avatar>
                    <mdb-card-body>
                      <h4 class="font-weight-bold mb-4">Maria Kate</h4>
                      <hr/>
                      <p class="dark-grey-text mt-4"><i class="fas fa-quote-left pr-2"></i>Delectus impedit saepe officiis ab aliquam repellat rem unde ducimus.</p>
                    </mdb-card-body>
                  </mdb-card>
                </mdb-col>
              </mdb-row>
            </section>
            <section class="text-center my-5">
          </mdb-container>
        </template>

      
        
    
        
            

        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbCard, mdbCardBody, mdbCardUp, mdbAvatar, mdbIcon } from 'mdbvue';

          export default {
            name: 'TestimonialsPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody,
              mdbCardUp,
              mdbAvatar,
              mdbIcon
            },
            data() {
              return {
              };
            }
          };
        </script>
      
        
    

Images within grid

Image gallery that varies between four, two or full-width images.

        
            

        <template>
          <div>
            <!-- Grid row -->
            <mdb-row>
    
              <!-- Grid column -->
              <mdb-col md="12" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Slides/img%20(137).jpg" class="img-fluid z-depth-1" alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
            </mdb-row>
            <!-- Grid row -->
    
            <!-- Grid row -->
            <mdb-row>
    
              <!-- Grid column -->
              <mdb-col md="4" lg="12" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img(115).jpg" class="img-fluid z-depth-1"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
              <!-- Grid column -->
              <mdb-col md="4" lg="6" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img(116).jpg" class="img-fluid z-depth-1"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
              <!-- Grid column -->
              <mdb-col md="4" lg="6" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img(117).jpg" class="img-fluid z-depth-1"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
            </mdb-row>
            <!-- Grid row -->
    
            <!-- Grid row -->
            <mdb-row>
    
              <!-- Grid column -->
              <mdb-col md="6" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img(117).jpg" class="img-fluid z-depth-1"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
              <!-- Grid column -->
              <mdb-col md="6" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img(129).jpg" class="img-fluid z-depth-1"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
            </mdb-row>
            <!-- Grid row -->
          </div>
        </template>

      
        
    

Shapes of images

You can change the shape of the image by using borders utilities.

        
            

        <template>
          <div>
            <!-- Grid row -->
            <mdb-row>
    
              <!-- Grid column -->
              <mdb-col xl="4" md="4" class="mb-3">
    
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img(119).jpg" class="img-fluid z-depth-1"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
              <!-- Grid column -->
              <mdb-col xl="5" md="4" class="mb-3 text-center">
    
                <img src="https://mdbootstrap.com/img/Photos/Avatars/img(31).jpg" class="img-fluid z-depth-1 rounded-circle"
                  alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
              <!-- Grid column -->
              <mdb-col xl="3" md="4" class="mb-3 text-right">
    
                <img src="https://mdbootstrap.com/img/Photos/Avatars/img(30).jpg" class="img-fluid z-depth-1" alt="Responsive image">
    
              </mdb-col>
              <!-- Grid column -->
    
            </mdb-row>
            <!-- Grid row -->
          </div>
        </template>

Angular Bootstrap Images
Angular Images - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
Documentation and examples for opting images into responsive behavior (so they never become larger than their parent elements) and add lightweight styles to them—all via classes..
Responsive images
<img src="..." class="img-fluid" alt="Responsive image">
SVG images and IE 10
In Internet Explorer 10, SVG images with
.img-fluid
are disproportionately sized. To fix this, addwidth: 100% \9;
where necessary. This fix improperly sizes other image formats, so Bootstrap doesn’t apply it automatically.
Image thumbnails
In addition to our border-radius
utilities, you can use .img-thumbnail
to give an image a rounded 1px border appearance.
<img
src="https://mdbootstrap.com/img/Others/documentation/img%20(75)-mini.webp"
alt="thumbnail"
class="img-thumbnail"
style="width: 200px"
>
Aligning Images
Align images with the helper
float classes or text alignment classes
. block
-level images can be centered using the
.mx-auto margin utility class.
<img src="..." class="rounded float-left" alt="...">
<img src="..." class="rounded float-right" alt="...">
<img src="..." class="rounded mx-auto d-block" alt="...">
<img src="..." class="rounded" alt="...">
Picture
If you are using the <picture>
element to specify multiple <source>
elements
for a specific , make sure to add the .img-* classes to the <img>
and not to the <picture>
tag.
<picture>
<source srcset="..." type="image/svg+xml">
<img src="..." class="img-fluid img-thumbnail" alt="...">
</picture>
Images with shadows
<img src="https://mdbootstrap.com/img/Photos/Slides/img%20(54).webp" class="img-fluid z-depth-1" alt="1">
Images with overlays
super light overlay
light overlay
strong overlay
<div class="view">
<img src="https://mdbootstrap.com/img/Photos/Others/forest-sm.webp" class="img-fluid" alt="placeholder">
<div class="mask flex-center waves-effect waves-light rgba-teal-strong">
<p class="white-text">strong overlay</p>
</div>
</div>
Info notification
Take a look at our masks section to know all the colors possibilities.
Images with patterns
.pattern-1
.pattern-2
.pattern-3
.pattern-4
.pattern-5
.pattern-6
.pattern-7
.pattern-8
.pattern-9
Add one of the following classes:
.pattern-1
.pattern-2
.pattern-3
.pattern-4
.pattern-5
.pattern-6
.pattern-7
.pattern-8
.pattern-9
<div class="view">
<img
src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
class="img-fluid"
alt="Image of ballons flying over canyons with mask pattern one."
>
<div class="mask pattern-1 flex-center waves-effect waves-light">
<p class="white-text">.pattern-1</p>
</div>
</div>
Images with hover effects
Shadow effect
Add one of the following classes:
.rgba-red-light
.rgba-red-slight
.rgba-red-strong
.zoom
.hoverable
<!--Zoom effect-->
<div class="view overlay zoom">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(131).webp" class="img-fluid " alt="zoom">
<div class="mask flex-center waves-effect waves-light">
<p class="white-text">Zoom effect</p>
</div>
</div>
<!-- Hoverable -->
<img
src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(132).webp"
class="img-fluid rounded-circle hoverable"
alt="hoverable"
>
Images with waves effects
Click on the images to see the effect
<!--Mask with wave-->
<div class="view overlay">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(1).webp" class="img-fluid" alt="Sample image with waves effect.">
<a>
<div class="mask waves-effect waves-light rgba-white-slight" mdbWavesEffect></div>
</a>
</div>
<!--Mask with wave-->
<div class="view overlay">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20(7).webp" class="img-fluid" alt="Sample image with waves effect.">
<a>
<div class="mask waves-effect rgba-white-slight" mdbWavesEffect></div>
</a>
</div>
Images within lightbox MDB Pro component
<div class="row">
<mdb-image-modal [modalImages]="images" type="margin"></mdb-image-modal>
</div>
import { Component } from '@angular/core';
@Component({
selector: 'margin-lightbox',
templateUrl: './margin-lightbox.component.html',
styleUrls: ['./margin-lightbox.component.scss'],
})
export class MarginLightboxComponent {
images = [
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(145).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(145).webp",
description: "Image 1"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(150).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(150).webp",
description: "Image 2"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(152).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(152).webp",
description: "Image 3"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(42).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(42).webp",
description: "Image 4"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(151).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(151).webp",
description: "Image 5"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(40).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(40).webp",
description: "Image 6"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(148).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(148).webp",
description: "Image 7"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(147).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(147).webp",
description: "Image 8"
},
{
img: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(149).webp",
thumb: "https://mdbootstrap.com/img/Photos/Lightbox/Original/img%20(149).webp",
description: "Image 9"
}
];
}
Images within cards MDB Pro component
Culinary
Cheat day inspirations
Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi.
Button
<div class="row">
<div class="col-md-4">
<!--Card-->
<mdb-card cascade="true" wider="true">
<!--Card image-->
<div class="view view-cascade overlay waves-light" mdbWavesEffect>
<mdb-card-img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img%20%283%29.webp"></mdb-card-img>
<a>
<div class="mask rgba-white-slight"></div>
</a>
</div>
<!--/Card image-->
<mdb-card-body cascade="true" class="text-center">
<!--Card content-->
<!--Title-->
<h4 class="card-title">
<strong>Alice Mayer</strong>
</h4>
<h5 class="indigo-text">
<strong>Photographer</strong>
</h5>
<mdb-card-text>
Sed ut perspiciatis unde omnis iste natus sit voluptatem accusantium doloremque laudantium, totam rem
aperiam.
</mdb-card-text>
<!--Linkedin-->
<a class="icons-sm li-ic"><mdb-icon fab icon="linkedin-in"> </mdb-icon></a>
<!--Twitter-->
<a class="icons-sm tw-ic"><mdb-icon fab icon="twitter"> </mdb-icon></a>
<!--Dribbble-->
<a class="icons-sm fb-ic"><mdb-icon fab icon="facebook-f"> </mdb-icon></a>
</mdb-card-body>
<!--/.Card content-->
</mdb-card>
<!--/.Card-->
</div>
<div class="col-md-4">
<!--Card-->
<mdb-card cascade="true" narrower="true">
<!--Card image-->
<div class="view view-cascade overlay waves-light" mdbWavesEffect>
<mdb-card-img src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(147).webp"></mdb-card-img>
<a>
<div class="mask rgba-white-slight"></div>
</a>
</div>
<!--/Card image-->
<!--Card content-->
<div class="card-body card-body-cascade">
<h5 class="pink-text"><mdb-icon fas icon="utensils"></mdb-icon> Culinary</h5>
<!--Title-->
<h4 class="card-title">Cheat day inspirations</h4>
<!--Text-->
<mdb-card-text>
Sed ut perspiciatis unde omnis iste natus sit voluptatem accusantium doloremque laudantium, totam rem
aperiam.
</mdb-card-text>
<a mdbBtn color="unique" class="waves-light" mdbWavesEffect>Button</a>
</mdb-card-body>
<!--/.Card content-->
</mdb-card>
<!--/.Card-->
</div>
<div class="col-md-4">
<!--Card-->
<mdb-card cascade="true">
<!--Card image-->
<div class="view view-cascade overlay waves-light" mdbWavesEffect>
<mdb-card-img src="https://mdbootstrap.com/img/Photos/Others/men.webp"></mdb-card-img>
<a>
<div class="mask rgba-white-slight"></div>
</a>
</div>
<!--/Card image-->
<mdb-card-body cascade="true" class="text-center">
<!--Card content-->
<h4 class="card-title">
<strong>Billy Cullen</strong>
</h4>
<h5>Web developer</h5>
<mdb-card-text>
Sed ut perspiciatis unde omnis iste natus sit voluptatem accusantium doloremque laudantium, totam rem
aperiam.
</mdb-card-text>
<!--Facebook-->
<a type="button" floating="true" size="sm" color="fb"><mdb-icon fab icon="facebook-f"></mdb-icon></a>
<!--Twitter-->
<a type="button" floating="true" size="sm" color="tw"><mdb-icon fab icon="twitter"></mdb-icon></a>
<!--Google +-->
<a type="button" floating="true" size="sm" color="dribbble"><mdb-icon fab icon="dribbble"></mdb-icon></a>
</mdb-card-body>
<!--/.Card content-->
</mdb-card>
<!--/.Card-->
</div>
</div>
Images within magazine section MDB Pro component
Section title
Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit id laborum.
<!--Section: Magazine v.3-->
<section class="magazine-section my-5">
<!-- Section heading -->
<h2 class="h1-responsive font-weight-bold text-center my-5">Section title</h2>
<!-- Section description -->
<p class="text-center w-responsive mx-auto mb-5">Duis aute irure dolor in reprehenderit in voluptate velit
esse
cillum dolore eu fugiat nulla pariatur. Excepteur sint
occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit id laborum.</p>
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col-lg-4 col-md-12 mb-lg-0 mb-5">
<!-- Featured news -->
<div class="single-news mb-3">
<!-- Image -->
<div class="view overlay rounded z-depth-2 mb-4">
<img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/images/86.webp" alt="Sample image">
<a>
<div class="mask rgba-white-slight waves-light" mdbWavesEffect></div>
</a>
</div>
<!-- Grid row -->
<div class="row mb-3">
<!-- Grid column -->
<div class="col-12">
<!-- Badge -->
<a href="#!"><mdb-badge color="pink"><mdb-icon fas icon="camera" class="pr-2" aria-hidden="true"></mdb-icon>Adventure</mdb-badge></a>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a class="font-weight-bold">This is title of the news</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Featured news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>24 Food Swaps That Slash Calories.</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>How to Make a Beet Cocktail?</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>8 Sneaky Reasons You're Always Hungry.</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0">
<a>5 Pressure Cooker Recipes You Need to Try.</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-lg-4 col-md-6 mb-md-0 mb-5">
<!-- Featured news -->
<div class="single-news mb-3">
<!-- Image -->
<div class="view overlay rounded z-depth-2 mb-4">
<img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/images/31.webp" alt="Sample image">
<a>
<div class="mask rgba-white-slight waves-light" mdbWavesEffect></div>
</a>
</div>
<!-- Grid row -->
<div class="row mb-3">
<!-- Grid column -->
<div class="col-12">
<!-- Badge -->
<a href="#!"><mdb-badge color="deep-orange"><mdb-icon fas icon="plane" class="pr-2" aria-hidden="true"></mdb-icon>Travel</mdb-badge></a>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a class="font-weight-bold">This is title of the news</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Featured news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>Trends in the blogosphere for 2016.</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>Where you eat the best lunch in Warsaw?</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>What camera take for holidays?</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0">
<a>Why you should visit Lisbon?</a>
</div>
<a><mdb-icon fas icon="angle-double-right" class="fas fa-angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-lg-4 col-md-6 mb-0">
<!-- Featured news -->
<div class="single-news mb-3">
<!-- Image -->
<div class="view overlay rounded z-depth-2 mb-4">
<img class="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/images/52.webp" alt="Sample image">
<a>
<div class="mask rgba-white-slight waves-light" mdbWavesEffect></div>
</a>
</div>
<!-- Grid row -->
<div class="row mb-3">
<!-- Grid column -->
<div class="col-12">
<!-- Badge -->
<a href="#!"><mdb-badge color="success-color"><mdb-icon fas icon="plane" class="pr-2" aria-hidden="true"></mdb-icon>Nature</mdb-badge></a>
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a class="font-weight-bold">This is title of the news</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Featured news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>How to recognize the footsteps of wild animals?</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>National Parks in Poland.</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news mb-3">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0 mb-3">
<a>Traveling without littering the planet.</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
<!-- Small news -->
<div class="single-news">
<!-- Title -->
<div class="d-flex justify-content-between">
<div class="col-11 text-truncate pl-0">
<a>How to protect rainforests?</a>
</div>
<a><mdb-icon fas icon="angle-double-right"></mdb-icon></a>
</div>
</div>
<!-- Small news -->
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
</section>
<!--Section: Magazine v.3-->
Images as the avatars within testimonials MDB Pro component
Testimonials
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.
John Doe
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos, adipisci.
Anna Aston
Neque cupiditate assumenda in maiores repudiandae mollitia architecto.
Maria Kate
Delectus impedit saepe officiis ab aliquam repellat, rem totam unde ducimus.
<!--Section: Testimonials v.1-->
<section class="section pb-3 text-center">
<!--Section heading-->
<h1 class="section-heading h1 pt-4">Testimonials</h1>
<!--Section description-->
<p class="section-description">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet
numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur
accusamus veniam.</p>
<div class="row">
<!--Grid column-->
<div class="col-lg-4 col-md-12 mb-4">
<!--Card-->
<div class="card testimonial-card">
<!--Background color-->
<div class="card-up teal lighten-2">
</div>
<!--Avatar-->
<div class="avatar mx-auto white">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(27).webp" alt="avatar mx-auto white" class="rounded-circle img-fluid">
</div>
<div class="card-body">
<!--Name-->
<h4 class="card-title mt-1">John Doe</h4>
<hr>
<!--Quotation-->
<p><mdb-icon fas icon="quote-left"></mdb-icon> Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos,
adipisci.</p>
</div>
</div>
<!--Card-->
</div>
<!--Grid column-->
<!--Grid column-->
<div class="col-lg-4 col-md-12 mb-4">
<!--Card-->
<div class="card testimonial-card">
<!--Background color-->
<div class="card-up blue lighten-2">
</div>
<!--Avatar-->
<div class="avatar mx-auto white">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).webp" alt="avatar mx-auto white" class="rounded-circle img-fluid">
</div>
<div class="card-body">
<!--Name-->
<h4 class="card-title mt-1">Anna Aston</h4>
<hr>
<!--Quotation-->
<p><mdb-icon fas icon="quote-left"></mdb-icon> Neque cupiditate assumenda in maiores repudiandae mollitia
architecto.</p>
</div>
</div>
<!--Card-->
</div>
<!--Grid column-->
<!--Grid column-->
<div class="col-lg-4 col-md-12 mb-4">
<!--Card-->
<div class="card testimonial-card">
<!--Background color-->
<div class="card-up deep-purple lighten-2"></div>
<!-- Section heading -->
<h2 class="h1-responsive font-weight-bold my-5">Testimonials</h2>
<!-- Section description -->
<p class="dark-grey-text w-responsive mx-auto mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing elit.
Fugit,
error amet numquam iure provident voluptate esse quasi,
veritatis totam voluptas nostrum quisquam eum porro a pariatur veniam.</p>
<!-- Grid row -->
<div class="row">
<!--Grid column-->
<div class="col-lg-4 col-md-12 mb-lg-0 mb-4">
<!--Card-->
<mdb-card class="testimonial-card">
<!--Background color-->
<div class="card-up info-color"></div>
<!--Avatar-->
<div class="avatar mx-auto white">
<mdb-card-img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp" class="rounded-circle"></mdb-card-img>
</div>
<mdb-card-body>
<!--Name-->
<h4 class="font-weight-bold mb-4">John Doe</h4>
<hr>
<!--Quotation-->
<p class="dark-grey-text mt-4">
<i class="fas fa-quote-left pr-2"></i>Lorem ipsum dolor sit amet eos adipisci, consectetur
adipisicing elit.</p>
</mdb-card-body>
</mdb-card>
<!--Card-->
</div>
<!--Grid column-->
<!--Grid column-->
<div class="col-lg-4 col-md-6 mb-md-0 mb-4">
<!--Card-->
<mdb-card class="testimonial-card">
<!--Background color-->
<div class="card-up blue-gradient">
</div>
<!--Avatar-->
<div class="avatar mx-auto white">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).webp" class="rounded-circle img-fluid">
</div>
<mdb-card-body>
<!--Name-->
<h4 class="font-weight-bold mb-4">Anna Aston</h4>
<hr>
<!--Quotation-->
<p class="dark-grey-text mt-4">
<i class="fas fa-quote-left pr-2"></i>Neque cupiditate assumenda in maiores repudiandae mollitia
architecto.</p>
</mdb-card-body>
</mdb-card>
<!--Card-->
</div>
<!--Grid column-->
<!--Grid column-->
<div class="col-lg-4 col-md-6">
<!--Card-->
<mdb-card class="testimonial-card">
<!--Background color-->
<div class="card-up indigo"></div>
<!--Avatar-->
<div class="avatar mx-auto white">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" class="rounded-circle img-fluid">
</div>
<mdb-card-body>
<!--Name-->
<h4 class="font-weight-bold mb-4">Maria Kate</h4>
<hr>
<!--Quotation-->
<p class="dark-grey-text mt-4">
<i class="fas fa-quote-left pr-2"></i>Delectus impedit saepe officiis ab aliquam repellat rem unde
ducimus.</p>
</mdb-card-body>
</mdb-card>
<!--Card-->
</div>
<!--Grid column-->
</div>
<!-- Grid row -->
</div>
</div>
</div>
</section>
<!-- Section: Testimonials v.1 -->
Images within grid
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col-md-12 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Slides/img%20(137).webp" class="img-fluid z-depth-1" alt="Responsive image">
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col-lg-4 col-md-12 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img(115).webp" class="img-fluid z-depth-1"
alt="Responsive image">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-lg-4 col-md-6 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img(116).webp" class="img-fluid z-depth-1"
alt="Responsive image">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-lg-4 col-md-6 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img(117).webp" class="img-fluid z-depth-1"
alt="Responsive image">
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col-md-6 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img(117).webp" class="img-fluid z-depth-1"
alt="Responsive image">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-md-6 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img(129).webp" class="img-fluid z-depth-1"
alt="Responsive image">
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
Shapes of images
<!-- Grid row -->
<div class="row">
<!-- Grid column -->
<div class="col-xl-4 col-md-4 mb-3">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img(119).webp" class="img-fluid z-depth-1" alt="Responsive image">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-xl-5 col-md-4 mb-3 text-center">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img(31).webp" class="img-fluid z-depth-1 rounded-circle" alt="Responsive image">
</div>
<!-- Grid column -->
<!-- Grid column -->
<div class="col-xl-3 col-md-4 mb-3 text-right">
<img src="https://mdbootstrap.com/img/Photos/Avatars/img(30).webp" class="img-fluid z-depth-1" alt="Responsive image">
</div>
<!-- Grid column -->
</div>
<!-- Grid row -->
Images within carousel
<mdb-carousel [animation]="'slide'">
<mdb-carousel-item>
<img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(130).webp" alt="First slide">
</mdb-carousel-item>
<mdb-carousel-item>
<img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(129).webp" alt="Second slide">
</mdb-carousel-item>
<mdb-carousel-item>
<img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(70).webp" alt="Third slide">
</mdb-carousel-item>
</mdb-carousel>

React Bootstrap Images

React Images - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap images are automatically adjusted to all screen sizes - image will never be larger than parent elements. Its styles can be changed via classes.


Responsive images

        
            
            import React from "react";
            import { MDBContainer, MDBRow, MDBCol } from "mdbreact";

            class MasksPage extends React.Component {
              render() {
                return (
                  <MDBContainer className="mt-5">
                    <MDBRow className="mb-4">
                      <MDBCol md="4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/1.webp" className="img-fluid" alt="" />
                      </MDBCol>
                    </MDBRow>
                    <MDBRow className="mb-4">
                      <MDBCol md="6">
                        <img src="https://mdbootstrap.com/img/Others/documentation/1.webp" className="img-fluid" alt="" />
                      </MDBCol>
                    </MDBRow>
                    <MDBRow className="mb-4">
                      <MDBCol md="8">
                        <img src="https://mdbootstrap.com/img/Others/documentation/1.webp" className="img-fluid" alt="" />
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
            }

            export default MasksPage;
        
        
    

SVG images and IE 10

In Internet Explorer 10, SVG images with .img-fluid are disproportionately sized. To fix this, add width: 100% \9; where necessary. This fix improperly sizes other image formats, so Bootstrap doesn’t apply it automatically.


Image thumbnails

In addition to our border-radius utilities, you can use .img-thumbnail to give an image a rounded 1px border appearance.

        
            
            <MDBRow>
              <MDBCol>
                <img src="https://mdbootstrap.com/img/Others/documentation/img%20(75)-mini.webp" alt="thumbnail" className="img-thumbnail" />
              </MDBCol>
            </MDBRow>
        
        
    

Aligning Images

Align images with the helper float classes or text alignment classes . block-level images can be centered using the .mx-auto margin utility class.

        
            
            <MDBRow>
              <MDBCol>
                <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" className="rounded float-left" alt="aligment" />
                <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" className="rounded float-right" alt="aligment" />
              </MDBCol>
            </MDBRow>
        
        
    
        
            
            <MDBRow>
              <MDBCol>
                <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-1.webp" className="rounded mx-auto d-block" alt="aligment" />
              </MDBCol>
            </MDBRow>
        
        
    

Picture

If you are using the <picture> element to specify multiple <source> elements for a specific , make sure to add the .img-* classes to the <img> and not to the <picture> tag.


Images with shadows

        
            
            import React from "react";
            import { MDBContainer, MDBRow, MDBCol } from "mdbreact";

            class MasksPage extends React.Component {
              render() {
                return (
                  <MDBContainer className="mt-5">
                    <MDBRow>
                      <MDBCol lg="4" md="12" className="mb-4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(55)-mini.webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(55)-mini.webp" className="img-fluid z-depth-1-half"
                          alt="" />
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(55)-mini.webp" className="img-fluid z-depth-2" alt="" />
                      </MDBCol>
                    </MDBRow>
                    <MDBRow>
                      <MDBCol lg="4" md="12" className="mb-4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(55)-mini.webp" className="img-fluid z-depth-3" alt="" />
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(55)-mini.webp" className="img-fluid z-depth-4" alt="" />
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-4">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img%20(55)-mini.webp" className="img-fluid z-depth-5" alt="" />
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
            }

            export default MasksPage;
        
        
    

Images with overlays

placeholder

super light overlay

placeholder

light overlay

placeholder

strong overlay

Info notification

Take a look at our masks section to know all the colors possibilities.

        
            
            import React from "react";
            import { MDBMask, MDBView, MDBContainer, MDBRow, MDBCol } from "mdbreact";

            class MasksPage extends React.Component {
              render() {
                return (
                  <MDBContainer className="mt-5">
                    <MDBRow className="mt-4">
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/forest-sm-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" overlay="teal-slight">
                            <p className="white-text">super light overlay</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/forest-sm-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" overlay="teal-light">
                            <p className="white-text">light overlay</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView waves>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/forest-sm-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" overlay="teal-strong">
                            <p className="white-text">strong overlay</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
            }

            export default MasksPage;
        
        
    

Images with patterns

Image of ballons flying over canyons with mask pattern one.

.pattern-1

placeholder

.pattern-2

Image of ballons flying over canyons with mask pattern one.

.pattern-3

Image of ballons flying over canyons with mask pattern one.

.pattern-4

placeholder

.pattern-5

Image of ballons flying over canyons with mask pattern one.

.pattern-6

Image of ballons flying over canyons with mask pattern one.

.pattern-7

placeholder

.pattern-8

Image of ballons flying over canyons with mask pattern one.

.pattern-9

        
            
            import React from "react";
            import { MDBMask, MDBView, MDBContainer, MDBRow, MDBCol } from "mdbreact";

            class MasksPage extends React.Component {
              render() {
                return (
                  <MDBContainer className="mt-5">
                    <MDBRow>
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask pattern={1} className="flex-center">
                            <p className="white-text">patern 1</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask pattern={2} className="flex-center">
                            <p className="white-text">patern 2</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView waves>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask pattern={3} className="flex-center">
                            <p className="white-text">patern 3</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                    </MDBRow>
                    <MDBRow className="mt-4">
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" pattern={4}>
                            <p className="white-text">patern 4</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" pattern={5}>
                            <p className="white-text">patern 5</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView waves>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" pattern={6}>
                            <p className="white-text">patern 6</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                    </MDBRow>
                    <MDBRow className="mt-4">
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" pattern={7}>
                            <p className="white-text">patern 7</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" pattern={8}>
                            <p className="white-text">patern 8</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView waves>
                          <img
                            src="https://mdbootstrap.com/img/Photos/Others/nature-sm.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" pattern={9}>
                            <p className="white-text">patern 9</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
            }

            export default MasksPage;

        
        
    

Images with hover effects

placeholder

Strong overlay

placeholder

Light overlay

placeholder

Super light overlay

zoom

Zoom effect

Shadow effect


placeholder
        
            
            import React from "react";
            import { MDBMask, MDBView, MDBContainer, MDBRow, MDBCol } from "mdbreact";

            class HoverPage extends React.Component {
              render() {
                return (
                  <MDBContainer className="mt-5">
                    <MDBRow>
                      <MDBCol md="4">
                        <MDBView hover>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/forest-sm-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" overlay="red-strong">
                            <p className="white-text">Strong overlay</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView hover>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/forest-sm-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" overlay="red-light">
                            <p className="white-text">Light overlay</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="4">
                        <MDBView hover>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/forest-sm-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center" overlay="red-slight">
                            <p className="white-text">Super light overlay</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                    </MDBRow>
                    <MDBRow className="mt-4">
                      <MDBCol md="6">
                        <MDBView hover zoom>
                          <img
                            src="https://mdbootstrap.com/img/Others/documentation/img%20(131)-mini.webp"
                            className="img-fluid"
                            alt=""
                          />
                          <MDBMask className="flex-center">
                            <p className="white-text">Zoom effect</p>
                          </MDBMask>
                        </MDBView>
                      </MDBCol>
                      <MDBCol md="6">
                        <h5 className="text-center">Shadow effect</h5>
                        <img
                          src="https://mdbootstrap.com/img/Others/documentation/4.webp"
                          className="img-fluid rounded-circle hoverable"
                          alt=""
                        />
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
            }

            export default HoverPage;
        
        
    

Images with waves effects

Click on the images to see the effect

        
            

            import React, { Component } from "react";
            import {
              MDBRow,
              MDBCol,
              MDBContainer,
              MDBView
            } from "mdbreact";

            class CarouselPage extends Component {
              render() {
                return (
                  <MDBContainer>
                    <MDBRow>
                      <MDBCol lg="6">
                        <MDBView waves>
                          <img src="https://mdbootstrap.com/img/Others/documentation/img%20(1)2-mini.webp" className="img-fluid" alt="" />
                        </MDBView>
                      </MDBCol>
                      <MDBCol lg="6">
                        <MDBView waves>
                          <img src="https://mdbootstrap.com/img/Others/documentation/img%20(7)-mini.webp" className="img-fluid" alt="" />
                        </MDBView>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
            }

            export default CarouselPage;
        
        
    


Images within cards MDB Pro component

Alice Mayer

Photographer

Sed ut perspiciatis unde omnis iste natus sit voluptatem accusantium doloremque laudantium, totam rem aperiam.

Culinary

Cheat day inspirations

Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi.

Button

Billy Cullen

Web developer

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatibus, ex, recusandae. Facere modi sunt, quod quibusdam.

        
            
            import React, { Component } from 'react';
            import { MDBBtn, MDBCard, MDBCardBody, MDBCardImage, MDBCardTitle, MDBCardText, MDBRow, MDBCol } from 'mdbreact';

            class CardExample extends Component {
              render() {
                return (
                  <MDBRow>
                    <MDBCol>
                      <MDBCard wide>
                        <MDBCardImage cascade className="img-fluid" src="https://mdbootstrap.com/img/Photos/Horizontal/People/6-col/img%20%283%29.webp" />
                        <MDBCardBody cascade>
                          <MDBCardTitle>MDBCard title</MDBCardTitle>
                          <MDBCardText>Some quick example text to build on the card title and make up the bulk of the card's content.</MDBCardText>
                          <MDBBtn href="#">MDBBtn</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol>
                      <MDBCard narrow>
                        <MDBCardImage cascade className="img-fluid" src="https://mdbootstrap.com/img/Photos/Lightbox/Thumbnail/img%20(147).webp" />
                        <MDBCardBody cascade>
                          <MDBCardTitle>MDBCard title</MDBCardTitle>
                          <MDBCardText>Some quick example text to build on the card title and make up the bulk of the card's content.</MDBCardText>
                          <MDBBtn href="#">MDBBtn</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                    <MDBCol>
                      <MDBCard cascade>
                        <MDBCardImage cascade className="img-fluid" src="https://mdbootstrap.com/img/Photos/Others/men.webp" />
                        <MDBCardBody cascade>
                          <MDBCardTitle>MDBCard title</MDBCardTitle>
                          <MDBCardText>Some quick example text to build on the card title and make up the bulk of the card's content.</MDBCardText>
                          <MDBBtn href="#">MDBBtn</MDBBtn>
                        </MDBCardBody>
                      </MDBCard>
                    </MDBCol>
                  </MDBRow>
                )
              }
            }

            export default CardExample;
        
        
    

Images within magazine section MDB Pro component

        
            
            import React from "react";
            import { MDBRow, MDBCol, MDBCard, MDBCardBody, MDBMask, MDBIcon, MDBView, MDBBadge } from "mdbreact";

            const FeaturesPage = () => {

              const newsStyle = {
                borderBottom: "1px solid #e0e0e0",
                marginBottom: "1.5rem"
              };

              return (
                <MDBCard
                  className="my-5 px-5 mx-auto"
                  style={{ fontWeight: 300, maxWidth: "90%" }}
                >
                  <MDBCardBody style={{ paddingTop: 0 }}>
                    <h2 className="h1-responsive font-weight-bold my-5 text-center">
                      Section title
                      </h2>
                    <p className="dark-grey-text mx-auto mb-5 w-75 text-center">
                      Duis aute irure dolor in reprehenderit in voluptate velit esse
                      cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat
                      cupidatat non proident, sunt in culpa qui officia deserunt mollit id
                      laborum.
                      </p>
                    <MDBRow>
                      <MDBCol md="12" lg="4" className="mb-lg-0 mb-5">
                        <MDBView hover rounded className="z-depth-1-half mb-4">
                          <img
                            className="img-fluid"
                            src="https://mdbootstrap.com/img/Photos/Others/images/86.webp"
                            alt=""
                          />
                          <a href="#!">
                            <MDBMask overlay="white-slight" className="waves-light" />
                          </a>
                        </MDBView>
                        <MDBRow className="mb-3">
                          <MDBCol size="12">
                            <a href="#!">
                              <MDBBadge color="pink">
                                <MDBIcon icon="camera" className="pr-2" aria-hidden="true" />
                                Adventure
                                </MDBBadge>
                            </a>
                          </MDBCol>
                        </MDBRow>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!" className="font-weight-bold">
                              This is title of the news
                              </a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">24 Food Swaps That Slash Calories.</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">How to Make a Beet Cocktail?</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">8 Sneaky Reasons You're Always Hungry.</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between mb-4">
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">5 Pressure Cooker Recipes You Need to Try.</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                      </MDBCol>

                      <MDBCol md="12" lg="4" className="mb-lg-0 mb-5">
                        <MDBView hover rounded className="z-depth-1-half mb-4">
                          <img
                            className="img-fluid"
                            src="https://mdbootstrap.com/img/Photos/Others/images/31.webp"
                            alt=""
                          />
                          <a href="#!">
                            <MDBMask overlay="white-slight" className="waves-light" />
                          </a>
                        </MDBView>
                        <MDBRow className="mb-3">
                          <MDBCol size="12">
                            <a href="#!">
                              <MDBBadge color="deep-orange">
                                <MDBIcon icon="plane" className="pr-2" aria-hidden="true" />
                                Travel
                                </MDBBadge>
                            </a>
                          </MDBCol>
                        </MDBRow>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!" className="font-weight-bold">
                              This is title of the news
                              </a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">Trends in the blogosphere for 2018.</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">Where can you eat the best lunch in Warsaw?</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">What camera is worth taking for holidays?</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between mb-4">
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">Why should you visit Lisbon?</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                      </MDBCol>

                      <MDBCol md="12" lg="4" className="mb-lg-0 mb-5">
                        <MDBView hover rounded className="z-depth-1-half mb-4">
                          <img
                            className="img-fluid"
                            src="https://mdbootstrap.com/img/Photos/Others/images/52.webp"
                            alt=""
                          />
                          <a href="#!">
                            <MDBMask overlay="white-slight" className="waves-light" />
                          </a>
                        </MDBView>
                        <MDBRow className="mb-3">
                          <MDBCol size="12">
                            <a href="#!">
                              <MDBBadge color="success">
                                <MDBIcon icon="leaf" className="pr-2" aria-hidden="true" />
                                Nature
                                </MDBBadge>
                            </a>
                          </MDBCol>
                        </MDBRow>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!" className="font-weight-bold">
                              This is title of the news
                              </a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">
                              How to recognize the footsteps of wild animals?
                              </a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">National Parks in Poland.</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between" style={newsStyle}>
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">Traveling without littering the planet.</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                        <div className="d-flex justify-content-between mb-4">
                          <MDBCol size="11" className="text-truncate pl-0 mb-3">
                            <a href="#!">How to protect rainforests?</a>
                          </MDBCol>
                          <a href="#!">
                            <MDBIcon icon="angle-double-right" />
                          </a>
                        </div>
                      </MDBCol>
                    </MDBRow>
                  </MDBCardBody>
                </MDBCard>
              );
            }

            export default FeaturesPage;
        
        
    

Images as the avatars within testimonials MDB Pro component

Testimonials

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit, error amet numquam iure provident voluptate esse quasi, veritatis totam voluptas nostrum quisquam eum porro a pariatur accusamus veniam.

avatar

John Doe


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eos, adipisci.

avatar

Anna Aston


Neque cupiditate assumenda in maiores repudiandae mollitia architecto.

avatar

Maria Kate


Delectus impedit saepe officiis ab aliquam repellat, rem totam unde ducimus.

        
            
            import React from "react";
            import { MDBContainer, MDBRow, MDBCol, MDBCard, MDBCardUp, MDBAvatar, MDBCardBody, MDBIcon } from "mdbreact";

            const TestimonialsPage = () => {
              return (
                <MDBContainer>
                  <section className="text-center my-5">
                    <h2 className="h1-responsive font-weight-bold my-5">
                      Testimonials
                    </h2>
                    <p className="dark-grey-text w-responsive mx-auto mb-5">
                      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Fugit,
                      error amet numquam iure provident voluptate esse quasi, veritatis
                      totam voluptas nostrum quisquam eum porro a pariatur veniam.
                    </p>
                    <MDBRow>
                      <MDBCol lg="4" md="12" className="mb-lg-0 mb-4">
                        <MDBCard testimonial>
                          <MDBCardUp color="info" />
                          <MDBAvatar className="mx-auto white">
                            <img
                              src="https://mdbootstrap.com/img/Photos/Avatars/img%20(9).webp"
                              alt=""
                              className="rounded-circle img-fluid"
                            />
                          </MDBAvatar>
                          <MDBCardBody>
                            <h4 className="font-weight-bold mb-4">John Doe</h4>
                            <hr />
                            <p className="dark-grey-text mt-4">
                              <MDBIcon icon="quote-left" className="pr-2" />
                              Lorem ipsum dolor sit amet eos adipisci, consectetur
                              adipisicing elit.
                            </p>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-lg-0 mb-4">
                        <MDBCard testimonial>
                          <MDBCardUp gradient="blue" />
                          <MDBAvatar className="mx-auto white">
                            <img
                              src="https://mdbootstrap.com/img/Photos/Avatars/img%20(20).webp"
                              alt=""
                              className="rounded-circle img-fluid"
                            />
                          </MDBAvatar>
                          <MDBCardBody>
                            <h4 className="font-weight-bold mb-4">Anna Aston</h4>
                            <hr />
                            <p className="dark-grey-text mt-4">
                              <i className="fa fa-quote-left pr-2" />
                              Neque cupiditate assumenda in maiores repudiandae mollitia
                              architecto.
                            </p>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-lg-0 mb-4">
                        <MDBCard testimonial>
                          <MDBCardUp className="indigo" />
                          <MDBAvatar className="mx-auto white">
                            <img
                              src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp"
                              alt=""
                              className="rounded-circle img-fluid"
                            />
                          </MDBAvatar>
                          <MDBCardBody>
                            <h4 className="font-weight-bold mb-4">Maria Kate</h4>
                            <hr />
                            <p className="dark-grey-text mt-4">
                              <i className="fa fa-quote-left pr-2" />
                              Delectus impedit saepe officiis ab aliquam repellat rem unde
                              ducimus.
                            </p>
                          </MDBCardBody>
                        </MDBCard>
                      </MDBCol>
                    </MDBRow>
                  </section>
                </MDBContainer>
              );
            }

            export default TestimonialsPage;
        
        
    

Images within grid

        
            
            import React, { Component } from "react";
            import {
              MDBRow,
              MDBCol,
              MDBContainer
            } from "mdbreact";

            class CarouselPage extends Component {
              render() {
                return (
                  <MDBContainer>
                    <MDBRow>
                      <MDBCol md="12" className="mb-3">
                      <img src="https://mdbootstrap.com/img/Photos/Slides/img%20(137).webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>
                    </MDBRow>
                    <MDBRow>
                      <MDBCol lg="4" md="12" className="mb-3">
                      <img src="https://mdbootstrap.com/img/Others/documentation/img(115)-mini.webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-3">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img(116)-mini.webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>
                      <MDBCol lg="4" md="6" className="mb-3">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img(117)-mini.webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>
                  </MDBRow>
                  <MDBRow>
                    <MDBCol md="6" className="mb-3">
                      <img src="https://mdbootstrap.com/img/Others/documentation/img(118)-mini.webp" className="img-fluid z-depth-1" alt="" />
                    </MDBCol>
                    <MDBCol md="6" className="mb-3">
                      <img src="https://mdbootstrap.com/img/Others/documentation/img(129)-mini.webp" className="img-fluid z-depth-1" alt="" / >
                    </MDBCol>
                  </MDBRow>
                </MDBContainer>
                );
              }
            }

            export default CarouselPage;
        
        
    

Shapes of images

        
            
            import React, { Component } from "react";
            import {
              MDBRow,
              MDBCol,
              MDBContainer
            } from "mdbreact";

            class CarouselPage extends Component {
              render() {
                return (
                  <MDBContainer>
                    <MDBRow>
                      <MDBCol xl="4" md="4" className="mb-3">
                        <img src="https://mdbootstrap.com/img/Others/documentation/img(119)-mini.webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>

                      <MDBCol xl="5" md="4" className="mb-3 text-center">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img(31).webp" className="img-fluid z-depth-1 rounded-circle" alt="" />
                      </MDBCol>
                      <MDBCol xl="3" md="4" className="mb-3 text-md-right text-center">
                        <img src="https://mdbootstrap.com/img/Photos/Avatars/img(30).webp" className="img-fluid z-depth-1" alt="" />
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                  );
                }
              }

              export default CarouselPage;